<?php require_once('topo.php');?>
<?php require_once('lateral.php');?>
<?php
//VERIFICAÇÃO DO PROGRAMA E NÍVEL PERMISÃO
$idprograma_pagina = 20;
//VERIFICA A AÇÃO DO USUÁRIO

$SelecionaProgramaUsuario = Seleciona("usuarios_programas", "WHERE idusuario='".$_SESSION['usuarioID']."' AND idprograma='$idprograma_pagina'", "LIMIT 0,1");
while($progama_usuario = mysql_fetch_array($SelecionaProgramaUsuario)){
$AcaoUsuario = $progama_usuario['acao'];
}

//AÇÕES
// Visualizar
// Inserir
// Completa

//MASTER ACESSO
if($_SESSION['master'] == 1){
   $AcaoUsuario = "Completa"; 
}

//FIM VERIFICAÇÃO PROGRAMA

$DescobreCargo = Seleciona("usuarios", "WHERE idusuario='".$_SESSION['usuarioID']."'", "LIMIT 0,1");
while($cargo = mysql_fetch_array ($DescobreCargo)){
	$CargoAtual = $cargo['cargo'];
}	

if($_SESSION['master'] == 1){
   $CargoAtual = "Master"; 
}


//echo $CargoAtual;
?>  
<?php
$idcliente = $_GET['idcliente'];

//ADICIONAR PAGAMENTO


$acao_pagamentos	= $_GET['acao'];

//CAMPOS POST 

$idpagamento = $_GET['idpagamento'];
$idpagamento .= $_POST['idpagamento'];
$valor = str_replace(",",".",$_POST['valor']);
$tipo = $_POST['tipo'];
$data = $_POST['data'];
$status = $_POST['status'];
$bandeira = $_POST['bandeira'];
$banco = $_POST['banco'];
$numero_cheque = $_POST['numero_cheque'];
$data_compensacao = $_POST['data_compensacao'];
$titular_cheque = $_POST['titular_cheque'];
$valor_total = str_replace(",",".",$_POST['valor_total']);
$tipo_conta_atual = "Receber";
$pagamento = $_POST['pagamento'];
$compensado = $_POST['compensado'];
$destino = $_POST['destino'];
$categoria_pagamento = $_POST['categoria'];
$observacao_pagamento = $_POST['observacao_pagamento'];
$origem = "Recebimento de Clientes";
$idpagamento_cheque = $_POST['idpagamento_cheque'];
$idcentrodecusto = $_POST['idcentrodecusto'];
$idconta = $_POST['idconta'];

//CAMPOS TABELA SALVAR 

$campos_tabela_pagamentos = "idconta, valor, tipo, data, idusuario, parcela, idcliente, status, idfornecedor, bandeira, banco, numero_cheque, data_compensacao, titular_cheque, valor_total, tipo_conta, pagamento, compensado, destino, categoria, excluido, observacao_pagamento, origem, idpagamento_cheque, idcentrodecusto, idusuario_cadastro";

//Dados da Tabela

$tabela_pagamentos	="pagamentos";

$campos_value_pagamentos = "'$idconta', '$valor', '$tipo', '$data', '$idusuario', '$parcela', '$idcliente', '$status', '$idfornecedor', '$bandeira', '$banco', '$numero_cheque', '$data_compensacao', '$titular_cheque', '$valor_total', '$tipo_conta_atual', '$pagamento', '$compensado', '$destino','$categoria_pagamento', '$excluido', '$observacao_pagamento', '$origem', '$idpagamento_cheque', '$idcentrodecusto', '".$_SESSION['usuarioID']."'";

//INSERIR REGISTROS

if($acao_pagamentos == "Salvar"){

$salvar_pagamentos = Salvar($tabela_pagamentos, $campos_tabela_pagamentos, $campos_value_pagamentos);

// RETORNA ULTIMO ID INSERIDO

$id_insert = mysql_insert_id();

//VERIFICO SE O VALOR TOTAL DE PAGAMENTOS É IGUAL DA CONTA
if($idconta != ""){
$SelecionaConta = Seleciona("contas", "WHERE idconta='$idconta'", "LIMIT 0,1");
while($conta = mysql_fetch_array($SelecionaConta)){
	$valor_conta = $conta['valor_conta'];	
}

//PAGO TOTAL DE VALOR PAGO
$SelecionaPagamentosConta = Seleciona("pagamentos", "WHERE idconta='$idconta'", "");
while($pagamentos_conta = mysql_fetch_array($SelecionaPagamentosConta)){
	$TotalPagamento[] = str_replace(",", ".", $pagamentos_conta['valor']);	
}
$TotalFinalPagamento = array_sum($TotalPagamento);
if($TotalFinalPagamento >= $valor_conta){
$atualiza_conta = Alterar("contas", "status_conta='Pago'", "idconta", $idconta);
}
}
//FINALIZO VERIFICAÇÃO DE PAGAMENTO CONTA

//LOG USUARIO
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Adiciona Pagamento no Relatório Histórco Cliente $idcliente', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
//FIM LOGUSUARIO 

//ATUALIZO CHEQUE UTILIZADO
if($idpagamento_cheque != ""){
	
	$AlteraPagamentoCheque = Alterar("pagamentos", "compensado='Sim', destino='Pagamento do Fornecedor ".$idfornecedor."', origem='Pagamento do Fornecedor ".$idfornecedor."', idpagamento_cheque='$idpagamento_cheque', idusuario_cadastro='".$_SESSION['usuarioID']."'", "idpagamento", $idpagamento_cheque);
}

//LOG FINANCEIRO
$SalvarLogFinanceiro = Salvar("logs_financeiro", "tipo, categoria, idconta, idpagamento, idcliente, idfornecedor, idusuario, idmovimento, idcompra_prima, idcompra, idorcamento, idvenda, iddevolucao, idpagamento_cheque, data, valor, tipo_pagamento, status, idcentrodecusto, idusuario_cadastro", "'Entrada', 'RecebimentoClientes', '$idconta', '$id_insert', '$idcliente', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '$idpagamento_cheque', '$data', '$valor', '$tipo', '$status', '$idcentrodecusto', '".$_SESSION['usuarioID']."'");

$redireciona = VerificaSql($salvar_pagamentos, "relatorio_historico_cliente.php?idcliente=".$idcliente."&mes=".$_GET['mes']."", "relatorio_historico_cliente.php?idcliente=".$idcliente."&mes=".$_GET['mes']."");

}


//EXCLUIR REGISTRO 


if($_GET["excluir_pagamentos"] == "sim"){

//LOG USUARIO
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Exclusão Pagamento no Relatório Histórco Cliente $idcliente', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
//FIM LOGUSUARIO     
    
$tipo_atual = $_GET['tipo'];
$idpagamento_cheque_atual = $_GET['idpagamento_cheque'];
if($tipo_atual == "chequebase"){
$AlteraPagamentoCheque = Alterar("pagamentos", "compensado='Nao', destino='', origem='', idusuario_cadastro='".$_SESSION['usuarioID']."'", "idpagamento", $idpagamento_cheque_atual);	
$deletar_logfinanceiro = mysql_query("DELETE FROM logs_financeiro WHERE idpagamento_cheque='$idpagamento_cheque_atual' AND idcliente='$idcliente'", $conexao) or die (mysql_error());
}

$deletar = Excluir($tabela_pagamentos, "idpagamento", $idpagamento);

//EXCLUI LOG FINANCEIRO
$deletar_logfinanceiro = mysql_query("DELETE FROM logs_financeiro WHERE idpagamento='$idpagamento' AND idcliente='$idcliente'", $conexao) or die (mysql_error());

$redireciona = VerificaSql($deletar, "relatorio_historico_cliente.php?idcliente=".$idcliente."&mes=".$_GET['mes']."", "relatorio_historico_cliente.php?idcliente=".$idcliente."&mes=".$_GET['mes']."");

} 

if($_GET["excluir_conta"] == "sim"){
$idconta = $_GET['idconta'];

//LOG USUARIO
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Exclusão de Conta no Relatório Histórco Cliente $idcliente - $idconta', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
//FIM LOGUSUARIO     
    
//VERIFICA SE EXISTE TRANSFERENCIA
$VerificaTransferencia = Seleciona("contas", "WHERE idconta='$idconta' AND idtransferencia IS NOT NULL", "");
$TotalTransferencia = mysql_num_rows($VerificaTransferencia);

if($TotalTransferencia > 0){
	while($transferencia = mysql_fetch_array($VerificaTransferencia)){
		$idtransferencia = $transferencia['idtransferencia'];

		$deletar = Excluir("contas", "idtransferencia", $idtransferencia);
		$deletar_pagamentos = Excluir("pagamentos", "idtransferencia", $idtransferencia);		
		$deletar_logs = Excluir("logs_financeiro", "idtransferencia", $idtransferencia);				
			
	}
}


$deletar = Excluir("contas", "idconta", $idconta);

//EXCLUI LOG FINANCEIRO
$deletar_logfinanceiro = mysql_query("DELETE FROM logs_financeiro WHERE idconta='$idconta' AND idcliente='$idcliente'", $conexao) or die (mysql_error());		

$redireciona = VerificaSql($deletar, "relatorio_historico_cliente.php?idcliente=".$idcliente."&mes=".$_GET['mes']."", "relatorio_historico_cliente.php?idcliente=".$idcliente."&mes=".$_GET['mes']."");

} 


//ATUALIZANDO STATUS PRA PAGO

if($_GET["Receber"] == "sim"){

//LOG USUARIO
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Recebe Pagamento no Relatório Histórco Cliente $idcliente', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
//FIM LOGUSUARIO     
    
    
$AlteraPagamento = Alterar("pagamentos", "status='Pago', idcentrodecusto='".$_GET['idcentrodecusto']."', data='".$_GET['data_pagamento']."', idusuario_cadastro='".$_SESSION['usuarioID']."'", "idpagamento", $idpagamento);

//ALTERAR LOG FINANCEIRO
$alterar_logfinanceiro = mysql_query("UPDATE logs_financeiro SET status='Pago', idcentrodecusto='".$_GET['idcentrodecusto']."', data='".$_GET['data_pagamento']."', idusuario_cadastro='".$_SESSION['usuarioID']."' WHERE idpagamento='$idpagamento' AND idcliente='$idcliente'") or die (mysql_error());


$redireciona = VerificaSql($AlteraPagamento, "relatorio_historico_cliente.php?idcliente=".$idcliente."&mes=".$_GET['mes']."", "relatorio_historico_cliente.php?idcliente=".$idcliente."&mes=".$_GET['mes']."");

} 

//ATUALIZANDO STATUS PRA ABERTI

if($_GET["Receber"] == "Aberto"){

//LOG USUARIO
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Deixar Pagamento em Aberto no Relatório Histórco Cliente $idcliente', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
//FIM LOGUSUARIO     
    
$AlteraPagamento = Alterar("pagamentos", "status='Aberto', idusuario_cadastro='".$_SESSION['usuarioID']."'", "idpagamento", $idpagamento);

//ALTERAR LOG FINANCEIRO
$alterar_logfinanceiro = mysql_query("UPDATE logs_financeiro SET status='Aberto', idusuario_cadastro='".$_SESSION['usuarioID']."' WHERE idpagamento='$idpagamento' AND idcliente='$idcliente'") or die (mysql_error());

$redireciona = VerificaSql($AlteraPagamento, "relatorio_historico_cliente.php?idcliente=".$idcliente."&mes=".$_GET['mes']."", "relatorio_historico_cliente.php?idcliente=".$idcliente."&mes=".$_GET['mes']."");

} 

?>


      <!-- Right side column. Contains the navbar and content of the page -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Recebimentos de Clientes
            <small>listagem de recebimentos cadastrados</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Recebimentos de Clientes</a></li>
            <li class="active">Listagem</li>
          </ol>
        </section>
        
        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-xs-12"><!-- /.box -->

              <div class="box">
                <div class="box-header">
                  <h3 class="box-title">Recebimentos de Clientes</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
<?

//$array = explode(';', $recebecliente);
//echo $recebecliente;

//  $cliente = $_POST['cliente'];
  //$cliente = "61";
  //$mes = "03";
  $mes = $_GET['mes'];
  
  $seleciona_cliente = mysql_query("SELECT * FROM clientes WHERE idcliente='$idcliente' ", $conexao) or die(mysql_error());
  while($dados_cliente = mysql_fetch_array($seleciona_cliente)){
  	$nome_cliente 	= $dados_cliente['nome'];
  }


?>

<script type="text/javascript">
//BUSCAR CLIENTES
$(function() {
$("#nome").autocomplete({
	source: "ajax/autocomplete_buscar_clientes.php",
	minLength: 1,
	select: function(event, ui) {
        $('#nome').val(ui.item.nome);
		$('#idcliente').val(ui.item.idcliente);		
    }
});
});

//BUSCAR PAGAMENTOS
$(function() {
$("#chequebase").autocomplete({
	source: "ajax/autocomplete_buscar_cheques.php",
	minLength: 1,
	select: function(event, ui) {
        $('#valor').val(ui.item.valor);
		$('#idpagamento_cheque').val(ui.item.idpagamento_cheque);		
    }
});
});

</script>

<script type="text/javascript">
function MM_jumpMenu(targ,selObj,restore){ //v3.0

  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");

  if (restore) selObj.selectedIndex=0;

}
</script>
<style type="text/css">
body,td,th {
	font-family: "Trebuchet MS";
	font-size: 11px;
	color: #666;
}
</style>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="0">
<form method="get" action="relatorio_historico_cliente.php" enctype="multipart/form-data" autocomplete="off">
  <tr>
    <td width="296" bgcolor="#F4F4F4" style="font-size:16px; font-weight:bold;"><?php echo $nome_cliente;?></td>
    <td width="296" bgcolor="#F4F4F4">
  <select name="idcliente" id="idcliente" class="form-control selectpicker" data-live-search="true">
    <option value="">Selecione o Cliente Desejado</option>
  <?php
$seleciona_clientes = mysql_query("SELECT * FROM clientes WHERE status <> 'Inativo' AND excluido IS NULL ORDER BY nome ASC", $conexao) or die(mysql_error());	
while($dados_cliente = mysql_fetch_array($seleciona_clientes)){
?>
  <option value="<?php echo $dados_cliente['idcliente'];?>"><?php echo $dados_cliente['nome'];?></option>
  <? }?>
  </select>
    </td>
    <td width="265" bgcolor="#F4F4F4">
    <input type="date" placeholder="Data Inicio" name="datainicio" id="datainicio" />
    </td>
    <td width="265" bgcolor="#F4F4F4">
    <input type="date" placeholder="Data Inicio" name="datafim" id="datafim"/>
    </td>    
    <td width="367" align="left" bgcolor="#F4F4F4"><input type="submit" name="button" id="button" value="Filtrar" /></td>
    <td width="28" bgcolor="#F4F4F4">
    <button type='button' class='btn btn-vk' onClick="window.open('imprimir_relatorio_historico_cliente.php?idcliente=<?php echo $_GET['idcliente'];?>&datainicio=<?php echo $_GET['datainicio'];?>&datafim=<?php echo $_GET['datafim'];?>', '_blank')">Imprimir</button>

	<?php if($_GET['idcliente'] != ""){?>            
    <a class="fancybox fancybox.iframe" style="color: #000000;" href="arquivos/index.php?origem=Cliente&idcliente=<?php echo $_GET['idcliente'];?>">
    <button type="button" class="btn btn-github" style=" float: inherit;">
    Anexar Arquivos
    </button>   
    </a>    
    <?php }?>    
    </td>
  </tr>
  </form>
</table>
<?php if($_GET['idcliente'] != ""){ ?>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" id="tabela_k88">
  <thead>
  <tr>
    <td align="left" bgcolor="#CCCCCC">TIPO</td>
    <td height="25" align="left" bgcolor="#CCCCCC">C&Oacute;D.</td>
    <td align="left" bgcolor="#CCCCCC">TIT&Uacute;LO</td>
    <td align="left" bgcolor="#CCCCCC">D&Eacute;BITO</td>
    <td align="left" bgcolor="#CCCCCC">CR&Eacute;DITO</td>
    <td align="left" bgcolor="#CCCCCC">DATA</td>
    <td align="left" bgcolor="#CCCCCC">C. CUSTO</td>
    <td align="left" bgcolor="#CCCCCC">CADASTRADO POR</td>
    <td align="left" bgcolor="#CCCCCC">&nbsp;</td>
    </tr>
  </thead>
  <tbody>
  <?php
  
  
  $cor_fundo = "#FFFFFF";
$datainicio = $_GET['datainicio'];
$datafim = $_GET['datafim'];
if($datainicio == "" and $datafim == ""){
$seleciona = mysql_query("SELECT * FROM contas WHERE idcliente='$idcliente' AND tipo_conta='Receber' ORDER BY data_conta ASC", $conexao) or die(mysql_error());    
$seleciona_pagamentos = mysql_query("SELECT * FROM pagamentos WHERE idcliente='$idcliente' ORDER BY data ASC", $conexao) or die(mysql_error()); 
}else{
$seleciona = mysql_query("SELECT * FROM contas WHERE idcliente='$idcliente' AND tipo_conta='Receber' AND data_conta BETWEEN ('$datainicio') AND ('$datafim') ORDER BY data_conta ASC", $conexao) or die(mysql_error());    
$seleciona_pagamentos = mysql_query("SELECT * FROM pagamentos WHERE idcliente='$idcliente' AND data BETWEEN ('$datainicio') AND ('$datafim') ORDER BY data ASC", $conexao) or die(mysql_error());  
}
	if($cor_fundo == "#FFFFFF"){
		$cor_fundo = "#DEF2FF";
	}else{
		$cor_fundo = "#FFFFFF";
	}  
  $saldo_conta = $pagamento['valor'] - $linha['valor_conta'];
  ?>
  <?php 
if($seleciona){
  while($linha=mysql_fetch_array($seleciona)){
	  
	  $venda_atual = $linha['idvenda'];
	  
	  $SelecionaObsVenda = Seleciona("vendas", "WHERE idvenda='$venda_atual'", "LIMIT 0,1");
	  while($venda_atual=mysql_fetch_array($SelecionaObsVenda)){
		$ObservacaoVenda = $venda_atual['observacao'];
		$CadastradoPor = $venda_atual['idusuario_cadastro'];
	  }
	   
  $dataconta = $linha['datacadastro'];  
  if($linha['idconta'] <> $idconta){
  ?>
  <tr bgcolor="#FFC1C1"  style="border: #686868 1px solid;">
    <td align="left"><?php echo "Venda";?>.<?php echo $linha['idconta'];?></td>
    <td height="25" align="left"><?php echo $linha['idvenda'];?></td>
    <td align="left"><?php echo $linha['titulo_conta'] . " - " . $ObservacaoVenda;?><br>
    <?php echo utf8_encode($linha['observacao']);
	if($linha['categoria'] == "Cheque"){
	$idpagamento_linha = substr($linha['titulo_conta'], 41, 5);	
	$idpg_linha = preg_replace("/[^0-9]/", "", $idpagamento_linha);
	//echo "<br>".$idpg_linha;
	$seleciona_pagamentos_linha = Seleciona("pagamentos", "WHERE idpagamento='$idpg_linha'", "LIMIT 0,1"); 	
	//echo mysql_num_rows($seleciona_pagamentos_linha);
	while($pagamento_linha = mysql_fetch_array($seleciona_pagamentos_linha)){
	echo "<br>Titular: ".$pagamento_linha['titular_cheque']."<br>";
	echo "Data Comp: ".date("d/m/Y", strtotime($pagamento_linha['data_compensacao']))."<br>";
	echo "N. Cheque: ".$pagamento_linha['numero_cheque']."<br>";	
	}
	$idpg_linha = "";	
	}	
	?>
    </td>
    <td align="left"><?php if($linha['valor_conta'] > 0){ echo number_format($linha['valor_conta'], 2, ',', '.');}?></td>
    <td align="left"></td>
    <td align="left"><?php echo $linha['data_conta'];?></td>
    <td align="left">&nbsp;</td>
    <td align="left"><?php echo LoginUsuario($linha['idusuario_cadastro']);?></td>
    <td align="left">
      <?php
    //VERIFICAR USUARIO PROGRAMA
    if($AcaoUsuario == "Completa"){ 						
    ?>     
      <?php if($linha['idvenda'] == ""){ ?>
      <a href="#" onclick="ExcluiRegistro('relatorio_historico_fornecedores.php?idfornecedor=<?php echo $_GET['idfornecedor'];?>&mes=<?php echo $_GET['mes'];?>&idconta=<?php echo $linha['idconta'];?>&excluir_conta=sim');">       
        <img src="img/icone_excluir.gif" width="24" height="24" alt=""/></a>
      <?php }?>
      <?php }?>
      
    </td>
    </tr>
  <?php 
  }
 if($seleciona_pagamentos){
	while($pagamento=mysql_fetch_array($seleciona_pagamentos)){	
	$valor_pg = $pagamento['valor'];
	$datapagamento = $pagamento['datacadastro'];
  if($pagamento['idpagamento'] <> $idpagamento){
	  
	  $status_atual = $pagamento['status'];
	  
	  if($status_atual == "Aberto"){
		$cor_celula = "#FFE599";  
	  }else{
		$cor_celula = "#B0FFD0";		  
	  }
	  
$SelecionaCentroCusto = Seleciona("centrodecusto", "WHERE idcentrodecusto='".$pagamento['idcentrodecusto']."'", "ORDER BY titulo ASC LIMIT 0,1");
	  while($centro = mysql_fetch_array($SelecionaCentroCusto)){
		$CentroCusto = $centro['titulo'];
	  }	  
	  
  ?>
  <tr bgcolor="<?php echo $cor_celula;?>" style="border: #686868 1px solid;">
    <td align="left"><?php echo $pagamento['tipo'];?></td>
    <td height="25" align="left"><?php echo $pagamento['idpagamento'];?></td>
    <td align="left">
	<?php echo $pagamento['status'] . " - " . $pagamento['observacao_pagamento'];
	if($pagamento['tipo'] == "cheque"){
	echo "<br>Titular: " . $pagamento['titular_cheque'] . "<br>";
	echo "Data Comp: " . date("d/m/Y", strtotime($pagamento['data_compensacao'])) . "<br>";
	echo "N. Cheque: " . $pagamento['numero_cheque'] . "<br>";
	
	}	
	
	?>
    
    </td>
    <td align="left"></td>
    <td align="left"><?php if($pagamento['valor'] > 0){ echo number_format($pagamento['valor'], 2, ',', '.');}?></td>
    <td align="left"><?php echo $pagamento['data'];?></td>
    <td align="left"><?php echo $CentroCusto;?></td>
    <td align="left"><?php echo LoginUsuario($pagamento['idusuario_cadastro']);?></td>
    <td align="left">
      <?php
    //VERIFICAR USUARIO PROGRAMA
    if($AcaoUsuario == "Completa"){ 						
    ?>    
      <a href="#" onclick="ExcluiRegistro('relatorio_historico_cliente.php?idcliente=<?php echo $_GET['idcliente'];?>&mes=<?php echo $_GET['mes'];?>&idpagamento=<?php echo $pagamento['idpagamento'];?>&excluir_pagamentos=sim&tipo=<?php echo $pagamento['tipo'];?>&idpagamento_cheque=<?php echo $pagamento['idpagamento_cheque'];?>');">     
        <img src="img/icone_excluir.gif" width="24" height="24" alt=""/></a>
      <?php }?>
    </td>
    </tr>
  <?php 
  $CentroCusto = "";
  $soma_pagamento += $pagamento['valor'];
  } }}
  $valorconta = $linha['valor_conta'];
  $valorpagamento = $pagamento['valor'];
  if($linha['idconta'] <> $idconta){
  $soma_conta += $valorconta;
  }
  $datapagamento = "";
  $dataconta = "";
  $ObservacaoVenda = "";
  }
  }
  ?>
  </tbody>
  <tfoot>
  <tr bgcolor="#DEF2FF">
    <td align="left">&nbsp;</td>
    <td height="25" align="left">&nbsp;</td>
    <td align="left">&nbsp;</td>
    <td align="left"><strong>R$ <?php
		echo number_format($soma_conta, 2, ',', '.');
		?>
      </strong></td>
    <td align="left"><strong>
      R$ 
      <?php
		echo number_format($soma_pagamento, 2, ',', '.');
		?>
      </strong></td>
    <td align="left">&nbsp;</td>
    <td align="left"></td>
    <td align="left"></td>
    <td align="left"></td>
    </tr>  
  </tfoot>
  </table>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">  
  <tr bgcolor="#DEF2FF">
    <td width="10%" bgcolor="#CCCCCC">&nbsp;</td>
    <td width="10%" height="25" bgcolor="#CCCCCC">&nbsp;</td>
    <td width="30%" bgcolor="#CCCCCC">&nbsp;</td>
    <td width="20%" bgcolor="#CCCCCC">&nbsp;</td>
    <td width="20%" align="right" bgcolor="#CCCCCC" style="font-size:18px"><strong>Compras</strong></td>
    <td width="12%" colspan="4" align="center" bgcolor="#CCCCCC" style="font-size:18px"><strong>R$
      <?php
		echo number_format($soma_conta, 2, ',', '.');
		?>
      <?php
//TOTAL VALOR PAGO
if($datainicio == "" and $datafim == ""){
	$selec = "select sum(valor) AS soma FROM pagamentos WHERE idcliente='$idcliente' AND status='Pago'";
}else{
	$selec = "select sum(valor) AS soma FROM pagamentos WHERE idcliente='$idcliente' AND status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim')";
	
}
	$exec = mysql_query($selec, $conexao) or die(mysql_error());       
	while($areceberpago=mysql_fetch_array($exec)) {
	$pago = $areceberpago['soma'];	
	}	
	
//TOTAL VALOR ABERTO
if($datainicio == "" and $datafim== ""){
	$selec_aberto = "select sum(valor) AS soma_aberto FROM pagamentos WHERE idcliente='$idcliente' AND status='Aberto'";
}else{
	$selec_aberto = "select sum(valor) AS soma_aberto FROM pagamentos WHERE idcliente='$idcliente' AND status='Aberto' AND data BETWEEN ('$datainicio') AND ('$datafim')";	
}
	$exec_aberto = mysql_query($selec_aberto, $conexao) or die(mysql_error());       
	while($aberto=mysql_fetch_array($exec_aberto)) {
	$totalaberto = $aberto['soma_aberto'];	
	}		
?>
      </strong></td>
  </tr>
  <tr bgcolor="#DEF2FF">
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td height="25" bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td align="right" bgcolor="#CCCCCC" style="font-size:18px"><strong>Total Pago</strong></td>
    <td colspan="4" align="center" bgcolor="#CCCCCC" style="font-size:18px"><?php echo "R$ " . number_format($pago, 2, ',', '.'); ?></td>
  </tr>
  <tr bgcolor="#DEF2FF">
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td height="25" bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td align="right" bgcolor="#CCCCCC" style="font-size:18px"><strong>Total Em Aberto</strong></td>
    <td colspan="4" align="center" bgcolor="#CCCCCC" style="font-size:18px"><?php echo "R$ " . number_format($totalaberto, 2, ',', '.'); ?></td>
  </tr>
  <tr bgcolor="#DEF2FF">
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td height="25" bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td align="right" bgcolor="#CCCCCC" style="font-size:18px"><strong>Saldo Cliente</strong></td>
    <td colspan="4" align="center" bgcolor="#CCCCCC" style="font-size:18px"><strong>
      <?php
		$total = $pago - $soma_conta;
		
		if($total > 0){
			echo " + R$ " . number_format($total, 2, ',', '.');
		}else{
			echo " - R$ " . number_format($total, 2, ',', '.');
		}
		?>
    </strong></td>
  </tr>
  <tr bgcolor="#FFFFFF">
    <td colspan="9" align="center" bgcolor="#FFFFFF">&nbsp;</td>
  </tr>  
</table>
                </div><!-- /.box-body -->
              </div><!-- /.box -->
            </div><!-- /.col -->
            

            <?php }?>
          </div><!-- /.row -->
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
<?php require_once('rodape.php');?>